std::basic_regex< _Ch_type, _Rx_traits >(3)

NAME
std::basic_regex< _Ch_type, _Rx_traits > -

SYNOPSIS

Detailed Description

  template<typename _Ch_type, typename _Rx_traits = regex_traits<_Ch_type>>class std::basic_regex< _Ch_type, _Rx_traits >
Objects of specializations of this class represent regular expressions constructed from sequences of character type _Ch_type.

Storage for the regular expression is allocated and deallocated as necessary by the member functions of this class.

Definition at line 35 of file regex.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.